"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const eslint_mdx_1 = require("eslint-mdx");
const synckit_1 = require("synckit");
const vfile_1 = (0, tslib_1.__importDefault)(require("vfile"));
(0, synckit_1.runAsWorker)((fileOptions, physicalFilename, isMdx) => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
    const remarkProcessor = (0, eslint_mdx_1.getRemarkProcessor)(physicalFilename, isMdx);
    const file = (0, vfile_1.default)(fileOptions);
    try {
        yield remarkProcessor.process(file);
    }
    catch (err) {
        if (!file.messages.includes(err)) {
            file.message(
            // @ts-expect-error Error is fine
            err).fatal = true;
        }
    }
    return {
        messages: file.messages,
        content: file.toString(),
    };
})).catch(console.error);
//# sourceMappingURL=worker.js.map